### Class method

# Gtk WidgetClassset_template_scope

#### Declaration [src]

    void
    gtk_widget_class_set_template_scope (
      GtkWidgetClass* widget_class,
      GtkBuilderScope* scope
    )

#### Description [src]

For use in language bindings, this will override the default `GtkBuilderScope` to be used when parsing GtkBuilder XML from this class’s template data.

Note that this must be called from a composite widget classes class initializer after calling `gtk_widget_class_set_template()`.

#### Parameters

`scope`

  Type: `GtkBuilderScope`

  The `GtkBuilderScope` to use when loading the class template.

  The data is owned by the caller of the method.